class InvalidCRD(Exception):
    def __init__(self, msg: str, e=None) -> None:
        err = ''
        if e:
            error_messages = e.errors()
            for error in error_messages:
                err = (
                    err
                    + f"Location: {error.get('loc')}\n"
                    + f"Message: {error.get('msg')}\n"
                    + f"Type: {error.get('type')}\n"
                )
        error_str = '```\n' + msg + '\n' + err + '\n```'
        super().__init__(error_str)
